Bug 258904 - crash after cancelling/restarting build (MakeBuilder not found) [KDevelop::BuilderJobPrivate::addJob]
Summary: crash after cancelling/restarting build (MakeBuilder not found) [KDevelop::Bu...
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 4.1.60
Platform: Ubuntu Packages Linux
: VHI crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 262071 268825 304630 316101 317429 381801 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-12-05 14:02 UTC by tim blechmann
Modified: 2017-06-29 20:37 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
valgrind log (51.67 KB, text/plain)
2010-12-05 16:52 UTC, tim blechmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tim blechmann 2010-12-05 14:02:48 UTC
Application: kdevelop (4.1.60)
KDE Platform Version: 4.5.80 (4.6 Beta1)
Qt Version: 4.7.0
Operating System: Linux 2.6.36.1+ x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:

kdevelop crashed after hitting `escape'  to cancel and `f8'and restart build.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f1636174760 (LWP 5890))]

Thread 15 (Thread 0x7f162eb89700 (LWP 5892)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x0000003ac6e75da2 in wait (this=<value optimized out>, mutex=0x12c92a0, time=1000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12c92a0, time=1000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1636d1626b in KDevelop::DUChainPrivate::CleanupThread::run (this=0x12c9280) at /home/tim/workspace/kdevplatform/language/duchain/duchain.cpp:283
#4  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x12c9280) at thread/qthread_unix.cpp:266
#5  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f16280c3700 (LWP 6018)):
#0  0x00000038da4da203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003ac6244009 in ?? () from /lib/libglib-2.0.so.0
#2  0x0000003ac624445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0000003ac6f951e6 in QEventDispatcherGlib::processEvents (this=0x1e93ef0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x0000003ac6f67a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x0000003ac6f67dec in QEventLoop::exec (this=0x7f16280c2db0, flags=) at kernel/qeventloop.cpp:201
#6  0x0000003ac6e722fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x0000003ac6f475f8 in QInotifyFileSystemWatcherEngine::run (this=0xe50640) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x0000003ac6e7527e in QThreadPrivate::start (arg=0xe50640) at thread/qthread_unix.cpp:266
#9  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f1624240700 (LWP 6035)):
#0  0x00000038da4da203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003ac6244009 in ?? () from /lib/libglib-2.0.so.0
#2  0x0000003ac624445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0000003ac6f951e6 in QEventDispatcherGlib::processEvents (this=0x1f1abe0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x0000003ac6f67a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x0000003ac6f67dec in QEventLoop::exec (this=0x7f162423fdf0, flags=) at kernel/qeventloop.cpp:201
#6  0x0000003ac6e722fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x1f65f30) at thread/qthread_unix.cpp:266
#8  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f1623a3f700 (LWP 6036)):
#0  0x00000038da4da203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003ac6244009 in ?? () from /lib/libglib-2.0.so.0
#2  0x0000003ac624445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0000003ac6f951e6 in QEventDispatcherGlib::processEvents (this=0x1f17640, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x0000003ac6f67a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x0000003ac6f67dec in QEventLoop::exec (this=0x7f1623a3edf0, flags=) at kernel/qeventloop.cpp:201
#6  0x0000003ac6e722fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x1f677f0) at thread/qthread_unix.cpp:266
#8  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f16223ad700 (LWP 6055)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003acd599334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x3acd8a4160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x0000003acd599369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x3acd8b2234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f16278c2700 (LWP 6131)):
#0  0x0000003ac6243634 in g_main_context_check () from /lib/libglib-2.0.so.0
#1  0x0000003ac6244023 in ?? () from /lib/libglib-2.0.so.0
#2  0x0000003ac624445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0000003ac6f951e6 in QEventDispatcherGlib::processEvents (this=0x27ed860, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x0000003ac6f67a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x0000003ac6f67dec in QEventLoop::exec (this=0x7f16278c1db0, flags=) at kernel/qeventloop.cpp:201
#6  0x0000003ac6e722fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x0000003ac6f475f8 in QInotifyFileSystemWatcherEngine::run (this=0x28175b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x28175b0) at thread/qthread_unix.cpp:266
#9  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f1620219700 (LWP 6133)):
#0  0x00000038db009665 in __pthread_mutex_lock (mutex=0x2849318) at pthread_mutex_lock.c:61
#1  0x0000003ac62438bf in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x0000003ac6243e78 in ?? () from /lib/libglib-2.0.so.0
#3  0x0000003ac624445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0000003ac6f951e6 in QEventDispatcherGlib::processEvents (this=0x26838c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x0000003ac6f67a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x0000003ac6f67dec in QEventLoop::exec (this=0x7f1620218dd0, flags=) at kernel/qeventloop.cpp:201
#7  0x0000003ac6e722fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x0000003404ebcb6c in Herqq::Upnp::HControlPointThread::run() () from /usr/lib/libHUpnp.so.0
#9  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x263cad0) at thread/qthread_unix.cpp:266
#10 0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f161f9f6700 (LWP 6177)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x10c8b50, th=0x1e2f590) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x1e2f590) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161f9f5e00, parent=0x10c8b50, th=0x1e2f590) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0x1e2f590) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x1e2f590) at thread/qthread_unix.cpp:266
#8  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f161f1f5700 (LWP 6178)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x10c8b50, th=0xdf0880) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0xdf0880) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0cf84 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0xdf0880) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161f1f4e00, parent=0x10c8b50, th=0xdf0880) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0xdf0880) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x0000003ac6e7527e in QThreadPrivate::start (arg=0xdf0880) at thread/qthread_unix.cpp:266
#9  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f161de8d700 (LWP 6189)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x10c8b50, th=0x1e5da20) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x1e5da20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0cf84 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x1e5da20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x000000340ce0cf84 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x1e5da20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161de8ce00, parent=0x10c8b50, th=0x1e5da20) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0x1e5da20) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x1e5da20) at thread/qthread_unix.cpp:266
#10 0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f161d68c700 (LWP 6190)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x10c8b50, th=0x2914240) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x2914240) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0cf84 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x2914240) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161d68be00, parent=0x10c8b50, th=0x2914240) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0x2914240) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x2914240) at thread/qthread_unix.cpp:266
#9  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f161ce41700 (LWP 6195)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xe71920, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x10c8b50, th=0x183aad0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe6fa40, th=0x183aad0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161ce40e00, parent=0x10c8b50, th=0x183aad0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0x183aad0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x183aad0) at thread/qthread_unix.cpp:266
#8  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f161c41a700 (LWP 6399)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0x39e5620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39e5620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39e5320, th=0x3d657d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x39e5710, th=0x3d657d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161c419e00, parent=0x39e5320, th=0x3d657d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0x3d657d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x3d657d0) at thread/qthread_unix.cpp:266
#8  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f161bc19700 (LWP 6409)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003ac6e75e3b in wait (this=<value optimized out>, mutex=0x39e5620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39e5620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000340ce09d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39e5320, th=0x2a14730) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000340ce0cf6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x39e5710, th=0x2a14730) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000340ce0b4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f161bc18e00, parent=0x39e5320, th=0x2a14730) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x000000340ce0ba38 in ThreadWeaver::Thread::run (this=0x2a14730) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x0000003ac6e7527e in QThreadPrivate::start (arg=0x2a14730) at thread/qthread_unix.cpp:266
#8  0x00000038db007971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00000038da4e692d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1636174760 (LWP 5890)):
[KCrash Handler]
#6  0x00000038df4b8146 in __dynamic_cast () from /usr/lib/libstdc++.so.6
#7  0x00007f162df68f63 in MakeBuilder::runMake (this=0x1338560, item=0x176a970, c=MakeJob::BuildCommand, overrideTarget=...) at /home/tim/workspace/kdevelop/projectbuilders/makebuilder/makebuilder.cpp:129
#8  0x00007f162df69242 in MakeBuilder::build (this=0x0, dom=0x0) at /home/tim/workspace/kdevelop/projectbuilders/makebuilder/makebuilder.cpp:74
#9  0x00007f162dd58d15 in CMakeBuilder::build (this=0x1308560, dom=<value optimized out>) at /home/tim/workspace/kdevelop/projectbuilders/cmakebuilder/cmakebuilder.cpp:133
#10 0x00007f16372f9854 in KDevelop::BuilderJobPrivate::addJob (this=0x14bf8e0, t=<value optimized out>, item=0x176a970) at /home/tim/workspace/kdevplatform/project/builderjob.cpp:70
#11 0x00007f1626215409 in BuildItemBuilderJob::BuildItemBuilderJob (this=0x3d8af20, t=KDevelop::BuilderJob::Build, items=...) at /home/tim/workspace/kdevplatform/plugins/projectmanagerview/builditembuilderjob.cpp:35
#12 0x00007f1626206598 in ProjectManagerViewPlugin::runBuilderJob (this=<value optimized out>, t=KDevelop::BuilderJob::Build) at /home/tim/workspace/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.cpp:339
#13 0x00007f162620af7c in ProjectManagerViewPlugin::qt_metacall (this=0x1b494d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe2099cf0) at /home/tim/workspace/kdevplatform/build/plugins/projectmanagerview/projectmanagerviewplugin.moc:109
#14 0x0000003ac6f80b27 in QMetaObject::activate (sender=0x1ba15f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7f162e174c20) at kernel/qobject.cpp:3280
#15 0x0000003ac85b0852 in QAction::triggered (this=0x0, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#16 0x0000003ac85b1f5b in QAction::activate (this=0x1ba15f0, event=<value optimized out>) at kernel/qaction.cpp:1256
#17 0x0000003ac85b4257 in QAction::event (this=0x0, e=<value optimized out>) at kernel/qaction.cpp:1182
#18 0x000000340475b9bd in KAction::event (this=0x0, event=0x7fffe209a3a0) at ../../kdeui/actions/kaction.cpp:131
#19 0x0000003ac85b7fdc in QApplicationPrivate::notify_helper (this=0xc666d0, receiver=0x1ba15f0, e=0x7fffe209a3a0) at kernel/qapplication.cpp:4396
#20 0x0000003ac85bdaed in QApplication::notify (this=0x7fffe209bba0, receiver=0x1ba15f0, e=0x7fffe209a3a0) at kernel/qapplication.cpp:4277
#21 0x0000003404859e06 in KApplication::notify (this=0x7fffe209bba0, receiver=0x1ba15f0, event=0x7fffe209a3a0) at ../../kdeui/kernel/kapplication.cpp:311
#22 0x0000000000404d69 in KDevelopApplication::notify (this=0x7fffe209bba0, receiver=0x1ba15f0, event=0x7fffe209a3a0) at /home/tim/workspace/kdevelop/app/main.cpp:90
#23 0x0000003ac6f68cdc in QCoreApplication::notifyInternal (this=0x7fffe209bba0, receiver=0x1ba15f0, event=0x7fffe209a3a0) at kernel/qcoreapplication.cpp:732
#24 0x0000003ac85f37d6 in sendEvent (this=<value optimized out>, e=0x7fffe209a9e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#25 QShortcutMap::dispatchEvent (this=<value optimized out>, e=0x7fffe209a9e0) at kernel/qshortcutmap.cpp:879
#26 0x0000003ac85f55e7 in QShortcutMap::tryShortcutEvent (this=0xc667f8, o=<value optimized out>, e=0x7fffe209a9e0) at kernel/qshortcutmap.cpp:364
#27 0x0000003ac85bf6e4 in QApplication::notify (this=0x7fffe209bba0, receiver=0x2756c60, e=0x7fffe209a9e0) at kernel/qapplication.cpp:3840
#28 0x0000003404859e06 in KApplication::notify (this=0x7fffe209bba0, receiver=0x2756c60, event=0x7fffe209a9e0) at ../../kdeui/kernel/kapplication.cpp:311
#29 0x0000000000404d69 in KDevelopApplication::notify (this=0x7fffe209bba0, receiver=0x2756c60, event=0x7fffe209a9e0) at /home/tim/workspace/kdevelop/app/main.cpp:90
#30 0x0000003ac6f68cdc in QCoreApplication::notifyInternal (this=0x7fffe209bba0, receiver=0x2756c60, event=0x7fffe209a9e0) at kernel/qcoreapplication.cpp:732
#31 0x0000003ac86654ba in QKeyMapper::sendKeyEvent (keyWidget=0x2756c60, grab=<value optimized out>, type=QEvent::KeyPress, code=16777271, modifiers=<value optimized out>, text=..., autorepeat=false, count=1, nativeScanCode=74, nativeVirtualKey=65477, nativeModifiers=0) at kernel/qkeymapper_x11.cpp:1867
#32 0x0000003ac8667ac0 in QKeyMapperPrivate::translateKeyEvent (this=0x7fffe209abc0, keyWidget=0x2756c60, event=<value optimized out>, grab=false) at kernel/qkeymapper_x11.cpp:1837
#33 0x0000003ac863ecb4 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffe209b5b0) at kernel/qapplication_x11.cpp:3429
#34 0x0000003ac866b0e2 in x11EventSourceDispatch (s=0xc6c400, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#35 0x0000003ac6240342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#36 0x0000003ac62442a8 in ?? () from /lib/libglib-2.0.so.0
#37 0x0000003ac624445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#38 0x0000003ac6f95193 in QEventDispatcherGlib::processEvents (this=0xc2dd30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#39 0x0000003ac866aa4e in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#40 0x0000003ac6f67a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#41 0x0000003ac6f67dec in QEventLoop::exec (this=0x7fffe209b8e0, flags=) at kernel/qeventloop.cpp:201
#42 0x0000003ac6f6bebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#43 0x000000000040b103 in main (argc=<value optimized out>, argv=<value optimized out>) at /home/tim/workspace/kdevelop/app/main.cpp:468

This bug may be a duplicate of or related to bug 185640.

Possible duplicates by query: bug 185640.

Reported using DrKonqi
Comment 1 Milian Wolff 2010-12-05 16:29:41 UTC
the backtrace looks fishy, and a crash in the dynamic_cast means it tried to cast an invalid item. Please run KDevelop through valgrind and reproduce.
Comment 2 tim blechmann 2010-12-05 16:52:30 UTC
Created attachment 54166 [details]
valgrind log
Comment 3 tim blechmann 2010-12-05 16:53:44 UTC
(In reply to comment #2)
> Created an attachment (id=54166) [details]
> valgrind log

when it crashed, i produced this backtrace, but it seems to be valgrind-related

#0  vgModuleLocal_do_syscall_for_client_WRK () at m_syswrap/syscall-amd64-linux.S:147
#1  0x0000000000000008 in ?? ()
#2  0x0000000409177de0 in ?? ()
#3  0x0000000409177e20 in ?? ()
#4  0x0000000038eada80 in vgPlain_threads ()
#5  0x0000000000000023 in ?? ()
#6  0x0000000038eada80 in vgPlain_threads ()
#7  0x0000000039268100 in syscallInfo ()
#8  0x0000000409177e20 in ?? ()
#9  0x0000000000000001 in ?? ()
#10 0x0000000038eada70 in vgPlain_threads ()
#11 0x0000000039268070 in syscallInfo ()
#12 0x0000000038066766 in do_syscall_for_client (tid=1, trc=<value optimized out>) at m_syswrap/syswrap-main.c:308
#13 vgPlain_client_syscall (tid=1, trc=<value optimized out>) at m_syswrap/syswrap-main.c:1538
#14 0x0000000038062e73 in handle_syscall (tid=<value optimized out>, trc=<value optimized out>) at m_scheduler/scheduler.c:885
#15 0x000000003806460b in vgPlain_scheduler (tid=1) at m_scheduler/scheduler.c:1081
#16 0x000000003808e141 in thread_wrapper (tidW=<value optimized out>) at m_syswrap/syswrap-linux.c:94
#17 run_a_thread_NORETURN (tidW=<value optimized out>) at m_syswrap/syswrap-linux.c:127
#18 0x0000000000000000 in ?? ()
Comment 4 Milian Wolff 2010-12-05 17:42:56 UTC
thanks
Comment 5 Milian Wolff 2010-12-17 23:15:31 UTC
we need to use something safer than the foreach on a copy of the keys as they might get invalidated when a composite job gets killed and in turn delete it's child jobs.
Comment 6 Milian Wolff 2010-12-18 15:26:22 UTC
commit 9057cee8d5be1fd69ec4897495be7feae7c3a384
branch 1.2
Author: Milian Wolff <mail@milianw.de>
Date:   Sat Dec 18 14:46:45 2010 +0100

    safely iterate over job list where kill can delete child jobs
    
    BUG: 258904

diff --git a/shell/runcontroller.cpp b/shell/runcontroller.cpp
index 6f595a1..6cb121e 100644
--- a/shell/runcontroller.cpp
+++ b/shell/runcontroller.cpp
@@ -589,7 +589,13 @@ void KDevelop::RunController::checkState()
 
 void KDevelop::RunController::stopAllProcesses()
 {
+    // composite jobs might remove child jobs, see also:
+    // https://bugs.kde.org/show_bug.cgi?id=258904
+    // foreach already iterates over a copy
     foreach (KJob* job, d->jobs.keys()) {
+        // now we check the real list whether it was deleted
+        if (!d->jobs.contains(job))
+            continue;
         if (job->capabilities() & KJob::Killable)
             job->kill(KJob::EmitResult);
     }
Comment 7 Milian Wolff 2010-12-18 15:26:38 UTC
commit 229ca71317347dc5e1401bcffc52587e0dcad0e3
branch master
Author: Milian Wolff <mail@milianw.de>
Date:   Sat Dec 18 14:46:45 2010 +0100

    safely iterate over job list where kill can delete child jobs
    
    BUG: 258904

diff --git a/shell/runcontroller.cpp b/shell/runcontroller.cpp
index 6f595a1..6cb121e 100644
--- a/shell/runcontroller.cpp
+++ b/shell/runcontroller.cpp
@@ -589,7 +589,13 @@ void KDevelop::RunController::checkState()
 
 void KDevelop::RunController::stopAllProcesses()
 {
+    // composite jobs might remove child jobs, see also:
+    // https://bugs.kde.org/show_bug.cgi?id=258904
+    // foreach already iterates over a copy
     foreach (KJob* job, d->jobs.keys()) {
+        // now we check the real list whether it was deleted
+        if (!d->jobs.contains(job))
+            continue;
         if (job->capabilities() & KJob::Killable)
             job->kill(KJob::EmitResult);
     }
Comment 8 Milian Wolff 2010-12-18 15:27:08 UTC
commit 91a5447e09851fdbf576fe4525619c03a518231e
branch 1.1
Author: Milian Wolff <mail@milianw.de>
Date:   Sat Dec 18 14:46:45 2010 +0100

    backport from 1.2: safely iterate over job list where kill can delete child jobs
    
    CCBUG: 258904

diff --git a/shell/runcontroller.cpp b/shell/runcontroller.cpp
index 213f724..63d4316 100644
--- a/shell/runcontroller.cpp
+++ b/shell/runcontroller.cpp
@@ -586,7 +586,13 @@ void KDevelop::RunController::checkState()
 
 void KDevelop::RunController::stopAllProcesses()
 {
+    // composite jobs might remove child jobs, see also:
+    // https://bugs.kde.org/show_bug.cgi?id=258904
+    // foreach already iterates over a copy
     foreach (KJob* job, d->jobs.keys()) {
+        // now we check the real list whether it was deleted
+        if (!d->jobs.contains(job))
+            continue;
         if (job->capabilities() & KJob::Killable)
             job->kill(KJob::EmitResult);
     }
Comment 9 Olivier.jg 2011-07-25 08:33:44 UTC
*** Bug 262071 has been marked as a duplicate of this bug. ***
Comment 10 Milian Wolff 2012-08-07 11:16:42 UTC
Git commit 3aea311f7bdfa1cdf8c36fb2ceecf7eb2534e815 by Milian Wolff.
Committed on 07/08/2012 at 11:28.
Pushed by mwolff into branch '1.4'.

When a job gets deleted, ensure we update the runcontroller.

This can happen when a job gets deleted, i.e. via QObject inheritance.
Then apparently it does *not* emit finished() and thus we could end up
with invalid pointers in the RunController leading to strange crashes
in e.g. dynamic_cast.

M  +10   -0    shell/runcontroller.cpp
M  +1    -2    shell/runcontroller.h

http://commits.kde.org/kdevplatform/3aea311f7bdfa1cdf8c36fb2ceecf7eb2534e815
Comment 11 Milian Wolff 2012-08-07 13:13:46 UTC
*** Bug 304630 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Funk 2012-12-20 23:58:51 UTC
*** Bug 268825 has been marked as a duplicate of this bug. ***
Comment 13 Kevin Funk 2013-03-05 12:59:15 UTC
*** Bug 316101 has been marked as a duplicate of this bug. ***
Comment 14 André Stein 2013-03-05 13:08:16 UTC
Doesn't seem to be fixed. This is from my duplicate bug report:

I re-configured my project (CMake) and kdevelop crashed with the following backtrace: Application: KDevelop (kdevelop), signal: Segmentation fault Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1". [Current thread is 1 (Thread 0x7fbe2de517c0 (LWP 4115))] Thread 17 (Thread 0x7fbe1004c700 (LWP 4189)): #0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238 #1 0x00007fbe2bba30a7 in wait (time=1000, this=0x2a21970) at thread/qwaitcondition_unix.cpp:84 #2 QWaitCondition::wait (this=<optimized out>, mutex=0x2a21810, time=1000) at thread/qwaitcondition_unix.cpp:158 #3 0x00007fbe27a6be4b in KDevelop::DUChainPrivate::CleanupThread::run (this=0x2a217f0) at /home/stone/build/kdevplatform/language/duchain/duchain.cpp:282 #4 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0x2a217f0) at thread/qthread_unix.cpp:338 #5 0x00007fbe29996f8e in start_thread (arg=0x7fbe1004c700) at pthread_create.c:311 #6 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 16 (Thread 0x7fbdfebaf700 (LWP 4369)): #0 0x00007fff7b3fe8d2 in ?? () #1 0x0000000000000000 in ?? () Thread 15 (Thread 0x7fbdf48d0700 (LWP 4437)): #0 0x00007fff7b3fe8d2 in ?? () #1 0x0000000000000000 in ?? () Thread 14 (Thread 0x7fbdef598700 (LWP 4439)): #0 0x00007fff7b3fe8d2 in ?? () #1 0x0000000000000000 in ?? () Thread 13 (Thread 0x7fbdeed97700 (LWP 4440)): #0 0x00007fbe2a89c3cd in poll () at ../sysdeps/unix/syscall-template.S:81 #1 0x00007fbe24c6115c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #2 0x00007fbe24c61284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #3 0x00007fbe2bcce026 in QEventDispatcherGlib::processEvents (this=0x7fbddc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426 #4 0x00007fbe2bc9e37f in QEventLoop::processEvents (this=this@entry=0x7fbdeed96dc0, flags=...) at kernel/qeventloop.cpp:149 #5 0x00007fbe2bc9e608 in QEventLoop::exec (this=0x7fbdeed96dc0, flags=...) at kernel/qeventloop.cpp:204 #6 0x00007fbe2bba0410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542 #7 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0x43c18e0) at thread/qthread_unix.cpp:338 #8 0x00007fbe29996f8e in start_thread (arg=0x7fbdeed97700) at pthread_create.c:311 #9 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 12 (Thread 0x7fbdedd20700 (LWP 4461)): #0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185 #1 0x00007fbe26dd0e77 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fbe270de660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359 #2 0x00007fbe26dd0ea9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464 #3 0x00007fbe29996f8e in start_thread (arg=0x7fbdedd20700) at pthread_create.c:311 #4 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 11 (Thread 0x7fbde3bef700 (LWP 4592)): #0 0x00007fbe2a89c3cd in poll () at ../sysdeps/unix/syscall-template.S:81 #1 0x00007fbe24c6115c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #2 0x00007fbe24c61284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #3 0x00007fbe2bcce026 in QEventDispatcherGlib::processEvents (this=0x7fbdd80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426 #4 0x00007fbe2bc9e37f in QEventLoop::processEvents (this=this@entry=0x7fbde3beed90, flags=...) at kernel/qeventloop.cpp:149 #5 0x00007fbe2bc9e608 in QEventLoop::exec (this=0x7fbde3beed90, flags=...) at kernel/qeventloop.cpp:204 #6 0x00007fbe2bba0410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542 #7 0x00007fbe2bc7fecf in QInotifyFileSystemWatcherEngine::run (this=0x6b28690) at io/qfilesystemwatcher_inotify.cpp:256 #8 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0x6b28690) at thread/qthread_unix.cpp:338 #9 0x00007fbe29996f8e in start_thread (arg=0x7fbde3bef700) at pthread_create.c:311 #10 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 10 (Thread 0x7fbdcffff700 (LWP 4890)): #0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185 #1 0x00007fbe218291e5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4 #2 0x00007fbe21829239 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4 #3 0x00007fbe29996f8e in start_thread (arg=0x7fbdcffff700) at pthread_create.c:311 #4 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 9 (Thread 0x7fbdcf7fe700 (LWP 4892)): #0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185 #1 0x00007fbe2156fea9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4 #2 0x00007fbe2185798e in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4 #3 0x00007fbe29996f8e in start_thread (arg=0x7fbdcf7fe700) at pthread_create.c:311 #4 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 8 (Thread 0x7fbde14ee700 (LWP 4893)): #0 0x00007fbe2a89c3cd in poll () at ../sysdeps/unix/syscall-template.S:81 #1 0x00007fbe24c6115c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #2 0x00007fbe24c61284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #3 0x00007fbe2bcce026 in QEventDispatcherGlib::processEvents (this=0x7fbdd05257b0, flags=...) at kernel/qeventdispatcher_glib.cpp:426 #4 0x00007fbe2bc9e37f in QEventLoop::processEvents (this=this@entry=0x7fbde14eddc0, flags=...) at kernel/qeventloop.cpp:149 #5 0x00007fbe2bc9e608 in QEventLoop::exec (this=0x7fbde14eddc0, flags=...) at kernel/qeventloop.cpp:204 #6 0x00007fbe2bba0410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542 #7 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0x6c01d70) at thread/qthread_unix.cpp:338 #8 0x00007fbe29996f8e in start_thread (arg=0x7fbde14ee700) at pthread_create.c:311 #9 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 7 (Thread 0x7fbde1cef700 (LWP 4904)): #0 0x00007fff7b3fe8d2 in ?? () #1 0x00007fbdd4003020 in ?? () #2 0x00000000c8001550 in ?? () #3 0x00007fbdc806a530 in ?? () #4 0x00007fbde1ceeb80 in ?? () #5 0x00007fbde1ceec38 in ?? () #6 0x0000000000000000 in ?? () Thread 6 (Thread 0x7fbdcdfbf700 (LWP 4913)): #0 0x00007fff7b3fe8d2 in ?? () #1 0x0000000000000000 in ?? () Thread 5 (Thread 0x7fbdcc9e2700 (LWP 5218)): #0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185 #1 0x00007fbe2bba314b in wait (time=18446744073709551615, this=0x19ad8a0) at thread/qwaitcondition_unix.cpp:86 #2 QWaitCondition::wait (this=<optimized out>, mutex=0x19f39a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158 #3 0x00007fbe2253f041 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x19f3740, th=0xa777d70) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365 #4 0x00007fbe2254194b in ThreadWeaver::WorkingHardState::applyForWork (this=0x19d5c70, th=0xa777d70) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71 #5 0x00007fbe22541964 in ThreadWeaver::WorkingHardState::applyForWork (this=0x19d5c70, th=0xa777d70) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74 #6 0x00007fbe2254063f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fbdcc9e1dc0, parent=0x19f3740, th=th@entry=0xa777d70) at ../../../threadweaver/Weaver/Thread.cpp:87 #7 0x00007fbe225406cb in ThreadWeaver::Thread::run (this=0xa777d70) at ../../../threadweaver/Weaver/Thread.cpp:142 #8 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0xa777d70) at thread/qthread_unix.cpp:338 #9 0x00007fbe29996f8e in start_thread (arg=0x7fbdcc9e2700) at pthread_create.c:311 #10 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 4 (Thread 0x7fbd7fffd700 (LWP 5219)): #0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185 #1 0x00007fbe2bba314b in wait (time=18446744073709551615, this=0x19ad8a0) at thread/qwaitcondition_unix.cpp:86 #2 QWaitCondition::wait (this=<optimized out>, mutex=0x19f39a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158 #3 0x00007fbe2253f041 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x19f3740, th=0x7fbd70002e50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365 #4 0x00007fbe2254194b in ThreadWeaver::WorkingHardState::applyForWork (this=0x19d5c70, th=0x7fbd70002e50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71 #5 0x00007fbe2254063f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fbd7fffcdc0, parent=0x19f3740, th=th@entry=0x7fbd70002e50) at ../../../threadweaver/Weaver/Thread.cpp:87 #6 0x00007fbe225406cb in ThreadWeaver::Thread::run (this=0x7fbd70002e50) at ../../../threadweaver/Weaver/Thread.cpp:142 #7 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0x7fbd70002e50) at thread/qthread_unix.cpp:338 #8 0x00007fbe29996f8e in start_thread (arg=0x7fbd7fffd700) at pthread_create.c:311 #9 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 3 (Thread 0x7fbdcd7be700 (LWP 5507)): #0 0x00007fff7b3fe8d2 in ?? () #1 0x00007fbe24f12078 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #2 0x0000000000000000 in ?? () Thread 2 (Thread 0x7fbdce7c0700 (LWP 5508)): #0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238 #1 0x00007fbe2bba30a7 in wait (time=30000, this=0xa478cf0) at thread/qwaitcondition_unix.cpp:84 #2 QWaitCondition::wait (this=<optimized out>, mutex=0xa46ec08, time=30000) at thread/qwaitcondition_unix.cpp:158 #3 0x00007fbe2bb9664f in QThreadPoolThread::run (this=0xa48ef50) at concurrent/qthreadpool.cpp:141 #4 0x00007fbe2bba2bec in QThreadPrivate::start (arg=0xa48ef50) at thread/qthread_unix.cpp:338 #5 0x00007fbe29996f8e in start_thread (arg=0x7fbdce7c0700) at pthread_create.c:311 #6 0x00007fbe2a8a8e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113 Thread 1 (Thread 0x7fbe2de517c0 (LWP 4115)): [KCrash Handler] #6 0x00007fbe28061b54 in KDevelop::ProjectBaseItem::project (this=0xa46b080) at /home/stone/build/kdevplatform/project/projectmodel.cpp:412 #7 0x00007fbde27663fa in MakeBuilder::runMake (this=0x7313630, item=0xb11d9a0, c=c@entry=MakeJob::BuildCommand, overrideTargets=..., variables=...) at /home/stone/build/kdevelop/projectbuilders/makebuilder/makebuilder.cpp:131 #8 0x00007fbde27665f0 in MakeBuilder::build (this=<optimized out>, dom=<optimized out>) at /home/stone/build/kdevelop/projectbuilders/makebuilder/makebuilder.cpp:53 #9 0x00007fbde2559a24 in CMakeBuilder::build (this=0x6d0cc60, dom=<optimized out>) at /home/stone/build/kdevelop/projectbuilders/cmakebuilder/cmakebuilder.cpp:135 #10 0x00007fbe2806aa9b in KDevelop::BuilderJobPrivate::addJob (this=0x9d576c0, t=t@entry=KDevelop::BuilderJob::Build, item=0xb11d9a0) at /home/stone/build/kdevplatform/project/builderjob.cpp:123 #11 0x00007fbe2806b0ee in KDevelop::BuilderJob::addItems (this=0xb10ac90, t=KDevelop::BuilderJob::Build, items=...) at /home/stone/build/kdevplatform/project/builderjob.cpp:164 #12 0x00007fbdf711b07a in ProjectManagerViewPlugin::runBuilderJob (this=this@entry=0x3edf480, type=type@entry=KDevelop::BuilderJob::Build, items=...) at /home/stone/build/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.cpp:389 #13 0x00007fbdf711c2b0 in ProjectManagerViewPlugin::buildProjectItems (this=0x3edf480) at /home/stone/build/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.cpp:416 #14 0x00007fbe2bcb40df in QMetaObject::activate (sender=0x388ce20, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff7b3814c0) at kernel/qobject.cpp:3539 #15 0x00007fbe2b03f152 in QAction::triggered (this=this@entry=0x388ce20, _t1=false) at .moc/release-shared/moc_qaction.cpp:277 #16 0x00007fbe2b040580 in QAction::activate (this=0x388ce20, event=<optimized out>) at kernel/qaction.cpp:1257 #17 0x00007fbe2b404a9f in QAbstractButtonPrivate::click (this=this@entry=0x3ee3a90) at widgets/qabstractbutton.cpp:530 #18 0x00007fbe2b404d4c in QAbstractButton::mouseReleaseEvent (this=0x3eea810, e=0x7fff7b381d70) at widgets/qabstractbutton.cpp:1123 #19 0x00007fbe2b4c182a in QToolButton::mouseReleaseEvent (this=<optimized out>, e=<optimized out>) at widgets/qtoolbutton.cpp:718 #20 0x00007fbe2b092a89 in QWidget::event (this=0x3eea810, event=0x7fff7b381d70) at kernel/qwidget.cpp:8375 #21 0x00007fbe2b0458ec in QApplicationPrivate::notify_helper (this=this@entry=0x1704a00, receiver=receiver@entry=0x3eea810, e=e@entry=0x7fff7b381d70) at kernel/qapplication.cpp:4567 #22 0x00007fbe2b048a33 in QApplication::notify (this=<optimized out>, receiver=0x3eea810, e=0x7fff7b381d70) at kernel/qapplication.cpp:4110 #23 0x00007fbe2c229666 in KApplication::notify (this=0x7fff7b382ca0, receiver=0x3eea810, event=0x7fff7b381d70) at ../../kdeui/kernel/kapplication.cpp:311 #24 0x00007fbe2bc9f62e in QCoreApplication::notifyInternal (this=0x7fff7b382ca0, receiver=0x3eea810, event=0x7fff7b381d70) at kernel/qcoreapplication.cpp:946 #25 0x00007fbe2b04b933 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231 #26 QApplicationPrivate::sendMouseEvent (receiver=0x3eea810, event=0x7fff7b381d70, alienWidget=0x3eea810, nativeWidget=0x1bcc8d0, buttonDown=0x7fbe2bb23308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3178 #27 0x00007fbe2b0c0ec4 in QETWidget::translateMouseEvent (this=this@entry=0x1bcc8d0, event=event@entry=0x7fff7b3824f0) at kernel/qapplication_x11.cpp:4631 #28 0x00007fbe2b0bfef1 in QApplication::x11ProcessEvent (this=0x7fff7b382ca0, event=0x7fff7b3824f0) at kernel/qapplication_x11.cpp:3746 #29 0x00007fbe2b0eb0b2 in x11EventSourceDispatch (s=0x1706270, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146 #30 0x00007fbe24c60e85 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #31 0x00007fbe24c611c8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #32 0x00007fbe24c61284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 #33 0x00007fbe2bcce006 in QEventDispatcherGlib::processEvents (this=0x1644ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424 #34 0x00007fbe2b0eb1ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204 #35 0x00007fbe2bc9e37f in QEventLoop::processEvents (this=this@entry=0x7fff7b3828c0, flags=...) at kernel/qeventloop.cpp:149 #36 0x00007fbe2bc9e608 in QEventLoop::exec (this=0x7fff7b3828c0, flags=...) at kernel/qeventloop.cpp:204 #37 0x00007fbe2bca3ce6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218 #38 0x000000000040da9a in main (argc=<optimized out>, argv=<optimized out>) at /home/stone/build/kdevelop/app/main.cpp:506 I have Qt 4.8.4. Reproducible: Sometimes
Comment 15 Kevin Funk 2013-03-05 19:58:31 UTC
Reopening. Andre, the backtrace you posted was badly formatted.

Reposting it here for reference:
Thread 1 (Thread 0x7fbe2de517c0 (LWP 4115)):
[KCrash Handler]
#6  0x00007fbe28061b54 in KDevelop::ProjectBaseItem::project (this=0xa46b080) at /home/stone/build/kdevplatform/project/projectmodel.cpp:412
#7  0x00007fbde27663fa in MakeBuilder::runMake (this=0x7313630, item=0xb11d9a0, c=c@entry=MakeJob::BuildCommand, overrideTargets=..., variables=...) at /home/stone/build/kdevelop/projectbuilders/makebuilder/makebuilder.cpp:131
#8  0x00007fbde27665f0 in MakeBuilder::build (this=<optimized out>, dom=<optimized out>) at /home/stone/build/kdevelop/projectbuilders/makebuilder/makebuilder.cpp:53
#9  0x00007fbde2559a24 in CMakeBuilder::build (this=0x6d0cc60, dom=<optimized out>) at /home/stone/build/kdevelop/projectbuilders/cmakebuilder/cmakebuilder.cpp:135
#10 0x00007fbe2806aa9b in KDevelop::BuilderJobPrivate::addJob (this=0x9d576c0, t=t@entry=KDevelop::BuilderJob::Build, item=0xb11d9a0) at /home/stone/build/kdevplatform/project/builderjob.cpp:123
#11 0x00007fbe2806b0ee in KDevelop::BuilderJob::addItems (this=0xb10ac90, t=KDevelop::BuilderJob::Build, items=...) at /home/stone/build/kdevplatform/project/builderjob.cpp:164
#12 0x00007fbdf711b07a in ProjectManagerViewPlugin::runBuilderJob (this=this@entry=0x3edf480, type=type@entry=KDevelop::BuilderJob::Build, items=...) at /home/stone/build/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.cpp:389
#13 0x00007fbdf711c2b0 in ProjectManagerViewPlugin::buildProjectItems (this=0x3edf480) at /home/stone/build/kdevplatform/plugins/projectmanagerview/projectmanagerviewplugin.cpp:416
#14 0x00007fbe2bcb40df in QMetaObject::activate (sender=0x388ce20, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff7b3814c0) at kernel/qobject.cpp:3539
#15 0x00007fbe2b03f152 in QAction::triggered (this=this@entry=0x388ce20, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#16 0x00007fbe2b040580 in QAction::activate (this=0x388ce20, event=<optimized out>) at kernel/qaction.cpp:1257
#17 0x00007fbe2b404a9f in QAbstractButtonPrivate::click (this=this@entry=0x3ee3a90) at widgets/qabstractbutton.cpp:530
#18 0x00007fbe2b404d4c in QAbstractButton::mouseReleaseEvent (this=0x3eea810, e=0x7fff7b381d70) at widgets/qabstractbutton.cpp:1123
#19 0x00007fbe2b4c182a in QToolButton::mouseReleaseEvent (this=<optimized out>, e=<optimized out>) at widgets/qtoolbutton.cpp:718
#20 0x00007fbe2b092a89 in QWidget::event (this=0x3eea810, event=0x7fff7b381d70) at kernel/qwidget.cpp:8375
#21 0x00007fbe2b0458ec in QApplicationPrivate::notify_helper (this=this@entry=0x1704a00, receiver=receiver@entry=0x3eea810, e=e@entry=0x7fff7b381d70) at kernel/qapplication.cpp:4567
#22 0x00007fbe2b048a33 in QApplication::notify (this=<optimized out>, receiver=0x3eea810, e=0x7fff7b381d70) at kernel/qapplication.cpp:4110
#23 0x00007fbe2c229666 in KApplication::notify (this=0x7fff7b382ca0, receiver=0x3eea810, event=0x7fff7b381d70) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007fbe2bc9f62e in QCoreApplication::notifyInternal (this=0x7fff7b382ca0, receiver=0x3eea810, event=0x7fff7b381d70) at kernel/qcoreapplication.cpp:946
#25 0x00007fbe2b04b933 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QApplicationPrivate::sendMouseEvent (receiver=0x3eea810, event=0x7fff7b381d70, alienWidget=0x3eea810, nativeWidget=0x1bcc8d0, buttonDown=0x7fbe2bb23308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3178
#27 0x00007fbe2b0c0ec4 in QETWidget::translateMouseEvent (this=this@entry=0x1bcc8d0, event=event@entry=0x7fff7b3824f0) at kernel/qapplication_x11.cpp:4631
#28 0x00007fbe2b0bfef1 in QApplication::x11ProcessEvent (this=0x7fff7b382ca0, event=0x7fff7b3824f0) at kernel/qapplication_x11.cpp:3746
#29 0x00007fbe2b0eb0b2 in x11EventSourceDispatch (s=0x1706270, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007fbe24c60e85 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007fbe24c611c8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007fbe24c61284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007fbe2bcce006 in QEventDispatcherGlib::processEvents (this=0x1644ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0x00007fbe2b0eb1ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007fbe2bc9e37f in QEventLoop::processEvents (this=this@entry=0x7fff7b3828c0, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007fbe2bc9e608 in QEventLoop::exec (this=0x7fff7b3828c0, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007fbe2bca3ce6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#38 0x000000000040da9a in main (argc=<optimized out>, argv=<optimized out>) at /home/stone/build/kdevelop/app/main.cpp:506
Comment 16 Aleix Pol 2013-04-26 13:47:03 UTC
*** Bug 317429 has been marked as a duplicate of this bug. ***
Comment 17 Aleix Pol 2013-06-12 00:30:49 UTC
André, can you try to run it with valgrind too? is it happening any often for you?
Comment 18 Kevin Funk 2016-09-08 10:21:39 UTC
Assuming this got fixed in 5.0 -- reopen if not.
Comment 19 Kevin Funk 2017-06-29 20:37:46 UTC
*** Bug 381801 has been marked as a duplicate of this bug. ***